Skip to main content
GET
/
api
/
{portalId}
/
my-stakes
My Stakes List
curl --request GET \
  --url https://api.example.com/api/{portalId}/my-stakes
{
  "stakes": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "poolId": "123e4567-e89b-12d3-a456-426614174001",
      "status": "ACTIVE",
      "amount": "100",
      "claimable": "100",
      "withdrawable": "0",
      "createdAt": "2024-01-01T00:00:00Z",
      "pendingWithdraws": [
        {
          "amount": "100",
          "unlockAt": "2024-01-01T00:00:00Z",
          "type": "CLAIM_REWARDS"
        }
      ]
    }
  ]
}

Headers

cursor
number | null

cursor for pagination; not required for the first page; for subsequent pages, use the cursor from the previous response (x-cursor response header)

Path Parameters

portalId
string<uuid>
required

unique portal id (provided by Magna)

Query Parameters

wallet
string
required

wallet address to get allocations for

stakingPoolId
string

staking pool id

Response

Ok

id
string<uuid>
required

unique stake id

amount
string
required

number of tokens staked

claimable
string
required

number of claimable token rewards

withdrawable
string
required

number of withdrawable tokens

status
enum<string>
required

stake status

Available options:
PENDING,
UNSTAKED,
ACTIVE,
FAILED
poolId
string<uuid>
required

staking pool id

createdAt
string
required

staking date

pendingWithdraws
object[]
required
Example:
{
"stakes": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"poolId": "123e4567-e89b-12d3-a456-426614174001",
"status": "ACTIVE",
"amount": "100",
"claimable": "100",
"withdrawable": "0",
"createdAt": "2024-01-01T00:00:00Z",
"pendingWithdraws": [
{
"amount": "100",
"unlockAt": "2024-01-01T00:00:00Z",
"type": "CLAIM_REWARDS"
}
]
}
]
}